import {actionTracksFind,backURL} from "../../actions";
import {connect} from "react-redux";
import {store} from "../../reducers";
import {CTrack} from "../track";


const AllTracks = ({tracks}={}) =>
    <div>
        <h2>Все композиции</h2>
        {(tracks || []).map(track => <CTrack track={track}/>)}
    </div>


export const CAllTracks = connect(state => ({tracks: state.promise.findAllTracks1?.payload || []}))(AllTracks)

store.dispatch(actionTracksFind())